"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;
var _react = _interopRequireWildcard(require("react"));
var _box = _interopRequireDefault(require("../box/box"));
var _moti = require("moti");
var _reactNativeReanimated = require("react-native-reanimated");
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }
function _getRequireWildcardCache(e) { if ("function" != typeof WeakMap) return null; var r = new WeakMap(), t = new WeakMap(); return (_getRequireWildcardCache = function (e) { return e ? t : r; })(e); }
function _interopRequireWildcard(e, r) { if (!r && e && e.__esModule) return e; if (null === e || "object" != typeof e && "function" != typeof e) return { default: e }; var t = _getRequireWildcardCache(r); if (t && t.has(e)) return t.get(e); var n = { __proto__: null }, a = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var u in e) if ("default" !== u && Object.prototype.hasOwnProperty.call(e, u)) { var i = a ? Object.getOwnPropertyDescriptor(e, u) : null; i && (i.get || i.set) ? Object.defineProperty(n, u, i) : n[u] = e[u]; } return n.default = e, t && t.set(e, n), n; }
function _extends() { _extends = Object.assign ? Object.assign.bind() : function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }
/**
 * Collapse is a component that provides an expandable view.
 */
const Collapse = /*#__PURE__*/_react.default.memo( /*#__PURE__*/_react.default.forwardRef(({
  children,
  show,
  animateOpacity = true,
  startingHeight = 0,
  transition = {},
  exitTransition = {},
  endingHeight = "auto",
  ...rest
}, ref) => {
  const endingHeightRef = (0, _react.useRef)(endingHeight);
  return /*#__PURE__*/_react.default.createElement(_moti.AnimatePresence, null, show && /*#__PURE__*/_react.default.createElement(_react.default.Fragment, null, /*#__PURE__*/_react.default.createElement(_moti.MotiView, _extends({
    ref: ref
  }, rest, {
    from: {
      ...(animateOpacity && {
        opacity: 0
      }),
      height: 0
    },
    animate: {
      ...(animateOpacity && {
        opacity: 1
      }),
      height: show ? typeof endingHeightRef.current === "string" && endingHeightRef.current.includes("auto") ? "auto" : endingHeightRef.current : startingHeight
    },
    transition: {
      dampingRatio: 1,
      duration: 100,
      easing: _reactNativeReanimated.Easing.inOut,
      ...transition,
      type: "spring"
    },
    exit: {
      ...(animateOpacity && {
        opacity: 0
      }),
      height: 0
    },
    exitTransition: {
      dampingRatio: 1,
      duration: 100,
      easing: _reactNativeReanimated.Easing.inOut,
      ...exitTransition,
      type: "spring"
    }
  }), /*#__PURE__*/_react.default.createElement(_box.default, {
    onLayout: ({
      nativeEvent
    }) => {
      if (typeof endingHeightRef.current === "string" || nativeEvent.layout.height > endingHeightRef.current) endingHeightRef.current = Math.ceil(nativeEvent.layout.height);
    }
  }, children))));
}));
Collapse.displayName = "Collapse";
var _default = exports.default = Collapse;
//# sourceMappingURL=collapse.js.map