"use strict";

var _react = _interopRequireDefault(require("react"));
var _reactNative = require("@testing-library/react-native");
var _divider = _interopRequireDefault(require("./divider"));
var _themeContext = require("../../../theme/src/theme-context");
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }
jest.useFakeTimers();
describe("Atoms/Divider", () => {
  it("passes the snapshot test in light mode", () => {
    const tree = (0, _reactNative.render)( /*#__PURE__*/_react.default.createElement(_themeContext.ThemeProvider, null, /*#__PURE__*/_react.default.createElement(_divider.default, {
      orientation: "horizontal"
    }), /*#__PURE__*/_react.default.createElement(_divider.default, {
      orientation: "vertical"
    }))).toJSON();
    expect(tree).toMatchSnapshot();
  });
  it("passes the snapshot test in dark mode", () => {
    const tree = (0, _reactNative.render)( /*#__PURE__*/_react.default.createElement(_themeContext.ThemeProvider, {
      initialColorMode: "dark"
    }, /*#__PURE__*/_react.default.createElement(_divider.default, {
      orientation: "horizontal"
    }), /*#__PURE__*/_react.default.createElement(_divider.default, {
      orientation: "vertical"
    }))).toJSON();
    expect(tree).toMatchSnapshot();
  });
  it("passes the snapshot test for different length modes", () => {
    const tree = (0, _reactNative.render)( /*#__PURE__*/_react.default.createElement(_themeContext.ThemeProvider, {
      initialColorMode: "dark"
    }, /*#__PURE__*/_react.default.createElement(_divider.default, {
      length: "50%"
    }), /*#__PURE__*/_react.default.createElement(_divider.default, {
      orientation: "vertical",
      length: 20,
      bgColor: "violet"
    }))).toJSON();
    expect(tree).toMatchSnapshot();
  });
});
//# sourceMappingURL=divider.spec.js.map