"use strict";

var _react = _interopRequireDefault(require("react"));
var _reactNative = require("@testing-library/react-native");
var _themeContext = require("../../../theme/src/theme-context");
var _icon = _interopRequireDefault(require("./icon"));
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }
jest.useFakeTimers();
describe("Atoms/Icon", () => {
  it("passes the snapshot test in light mode", () => {
    const tree = (0, _reactNative.render)( /*#__PURE__*/_react.default.createElement(_themeContext.ThemeProvider, null, /*#__PURE__*/_react.default.createElement(_icon.default, {
      iconFamily: "AntDesign",
      iconName: "stepforward"
    }))).toJSON();
    expect(tree).toMatchSnapshot();
  });
  it("passes the snapshot test in dark mode", () => {
    const tree = (0, _reactNative.render)( /*#__PURE__*/_react.default.createElement(_themeContext.ThemeProvider, null, /*#__PURE__*/_react.default.createElement(_icon.default, {
      iconFamily: "AntDesign",
      iconName: "stepforward"
    }))).toJSON();
    expect(tree).toMatchSnapshot();
  });
  it("passes the snapshot test when overriden", () => {
    const tree = (0, _reactNative.render)( /*#__PURE__*/_react.default.createElement(_themeContext.ThemeProvider, null, /*#__PURE__*/_react.default.createElement(_icon.default, {
      iconFamily: "AntDesign",
      iconName: "stepforward",
      color: "primary.500"
    }))).toJSON();
    expect(tree).toMatchSnapshot();
  });
});
//# sourceMappingURL=icon.spec.js.map