"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;
var _react = _interopRequireDefault(require("react"));
var _box = _interopRequireDefault(require("../box/box"));
var _moti = require("moti");
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }
function _extends() { _extends = Object.assign ? Object.assign.bind() : function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }
/**
 * ScaleFade is a component that provides an view with a scaling fade transition.
 */
const ScaleFade = /*#__PURE__*/_react.default.memo( /*#__PURE__*/_react.default.forwardRef(({
  children,
  show,
  initialScale = 0.7,
  transition = {},
  exitTransition = {},
  ...rest
}, ref) => {
  const fromStyle = _react.default.useMemo(() => ({
    scale: initialScale,
    opacity: 0
  }), [initialScale]);
  const animateStyle = _react.default.useMemo(() => ({
    scale: 1,
    opacity: 1
  }), []);
  const exitStyle = _react.default.useMemo(() => ({
    scale: initialScale,
    opacity: 0
  }), [initialScale]);
  const transitionProps = _react.default.useMemo(() => ({
    dampingRatio: 1,
    duration: 100,
    type: "spring",
    ...transition
  }), [transition]);
  const exitTransitionProps = _react.default.useMemo(() => ({
    dampingRatio: 1,
    duration: 100,
    type: "spring",
    ...exitTransition
  }), [exitTransition]);
  return /*#__PURE__*/_react.default.createElement(_moti.AnimatePresence, null, show && /*#__PURE__*/_react.default.createElement(_box.default, _extends({
    ref: ref
  }, rest, {
    from: fromStyle,
    animate: animateStyle,
    exit: exitStyle,
    transition: transitionProps,
    exitTransition: exitTransitionProps
  }), children));
}));
ScaleFade.displayName = "ScaleFade";
var _default = exports.default = ScaleFade;
//# sourceMappingURL=scale-fade.js.map