"use strict";

var _react = _interopRequireDefault(require("react"));
var _skeleton = _interopRequireDefault(require("./skeleton"));
var _reactNative = require("@testing-library/react-native");
var _themeContext = require("../../../theme/src/theme-context");
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }
jest.useFakeTimers();
describe("Atoms/Skeleton", () => {
  it("passes the snapshot test", () => {
    const component = (0, _reactNative.render)( /*#__PURE__*/_react.default.createElement(_themeContext.ThemeProvider, null, /*#__PURE__*/_react.default.createElement(_skeleton.default, null)));
    expect(component).toMatchSnapshot();
  });
  it("should render with default props", () => {
    const component = (0, _reactNative.render)( /*#__PURE__*/_react.default.createElement(_themeContext.ThemeProvider, null, /*#__PURE__*/_react.default.createElement(_skeleton.default, null)));
    expect(component).toBeTruthy();
  });
  it("should render with custom props", () => {
    const component = (0, _reactNative.render)( /*#__PURE__*/_react.default.createElement(_themeContext.ThemeProvider, null, /*#__PURE__*/_react.default.createElement(_skeleton.default, {
      startColor: "neutral.100",
      endColor: "neutral.200",
      isLoaded: false,
      speed: 800,
      fadeDuration: 200
    })));
    expect(component).toBeTruthy();
  });
});
//# sourceMappingURL=skeleton.spec.js.map