"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;
var _react = _interopRequireDefault(require("react"));
var _box = _interopRequireDefault(require("../box/box"));
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }
function _extends() { _extends = Object.assign ? Object.assign.bind() : function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }
/**
 * A layout component that creates an adjustable, empty space that can be used to tune the spacing between sibling elements
 */
const Spacer = /*#__PURE__*/_react.default.memo( /*#__PURE__*/_react.default.forwardRef((props, ref) => {
  const {
    children,
    ...rest
  } = props;
  return /*#__PURE__*/_react.default.createElement(_box.default, _extends({
    ref: ref
  }, rest, {
    flex: 1,
    alignSelf: "stretch"
  }), children);
}));
Spacer.displayName = "Spacer";
var _default = exports.default = Spacer;
//# sourceMappingURL=spacer.js.map