"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;
var _react = _interopRequireDefault(require("react"));
var _reactNative = require("react-native");
var _indicator = _interopRequireDefault(require("./indicator"));
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }
function _extends() { _extends = Object.assign ? Object.assign.bind() : function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }
const SkypeIndicator = /*#__PURE__*/_react.default.memo( /*#__PURE__*/_react.default.forwardRef(({
  size = 30,
  count = 5,
  color = "rgb(0, 0, 0)",
  animationDuration = 1600,
  minScale = 0.2,
  maxScale = 1.0,
  ...rest
}, ref) => {
  const _renderComponent = _react.default.useCallback(({
    index,
    count,
    progress
  }) => {
    let frames = 60 * animationDuration / 1000;
    let offset = index / (count - 1);
    let easing = _reactNative.Easing.bezier(0.5, offset, 0.5, 1.0);
    let inputRange = Array.from(new Array(frames), (item, index) => index / (frames - 1));
    let outputRange = Array.from(new Array(frames), (item, index) => easing(index / (frames - 1)) * 360 + "deg");
    let layerStyle = {
      transform: [{
        rotate: progress.interpolate({
          inputRange,
          outputRange
        })
      }]
    };
    let ballStyle = {
      width: size / 5,
      height: size / 5,
      borderRadius: size / 10,
      backgroundColor: color,
      transform: [{
        scale: progress.interpolate({
          inputRange: [0, 1],
          outputRange: [maxScale - (maxScale - minScale) * offset, minScale + (maxScale - minScale) * offset]
        })
      }]
    };
    return /*#__PURE__*/_react.default.createElement(_reactNative.Animated.View, {
      style: [{
        ..._reactNative.StyleSheet.absoluteFillObject,
        justifyContent: "flex-start",
        alignItems: "center"
      }, layerStyle],
      key: index
    }, /*#__PURE__*/_react.default.createElement(_reactNative.Animated.View, {
      style: ballStyle
    }));
  }, [animationDuration, color, maxScale, minScale, size]);
  const {
    style,
    ...props
  } = rest;
  return /*#__PURE__*/_react.default.createElement(_reactNative.View, {
    style: [{
      flex: 1,
      justifyContent: "center",
      alignItems: "center"
    }, style]
  }, /*#__PURE__*/_react.default.createElement(_indicator.default, _extends({}, props, {
    ref: ref,
    style: {
      width: size,
      height: size
    },
    renderComponent: _renderComponent,
    animationDuration: animationDuration,
    count: count
  })));
}));
var _default = exports.default = SkypeIndicator;
//# sourceMappingURL=skype.js.map