"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;
var _react = _interopRequireWildcard(require("react"));
var _box = _interopRequireDefault(require("../../atoms/box/box"));
var _pearl = require("../../../pearl");
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }
function _getRequireWildcardCache(e) { if ("function" != typeof WeakMap) return null; var r = new WeakMap(), t = new WeakMap(); return (_getRequireWildcardCache = function (e) { return e ? t : r; })(e); }
function _interopRequireWildcard(e, r) { if (!r && e && e.__esModule) return e; if (null === e || "object" != typeof e && "function" != typeof e) return { default: e }; var t = _getRequireWildcardCache(r); if (t && t.has(e)) return t.get(e); var n = { __proto__: null }, a = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var u in e) if ("default" !== u && Object.prototype.hasOwnProperty.call(e, u)) { var i = a ? Object.getOwnPropertyDescriptor(e, u) : null; i && (i.get || i.set) ? Object.defineProperty(n, u, i) : n[u] = e[u]; } return n.default = e, t && t.set(e, n), n; }
function _extends() { _extends = Object.assign ? Object.assign.bind() : function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }
const BaseProgress = /*#__PURE__*/_react.default.memo( /*#__PURE__*/_react.default.forwardRef(({
  atoms
}, ref) => {
  const {
    value,
    ...otherContainerProps
  } = atoms.container;
  const calculatedWidth = (0, _react.useMemo)(() => `${value || 0}%`, [value]);
  return /*#__PURE__*/_react.default.createElement(_box.default, _extends({}, otherContainerProps, {
    ref: ref,
    accessible: true,
    accessibilityRole: "progressbar",
    accessibilityLabel: otherContainerProps.accessibilityLabel
  }), /*#__PURE__*/_react.default.createElement(_box.default, _extends({}, atoms.bar, {
    animate: {
      w: calculatedWidth
    },
    borderRadius: value === 100 ? atoms.bar.borderTopLeftRadius : undefined
  })));
}));

/** The Progress component is a visual indicator of completion percentage. */
const Progress = (0, _pearl.pearl)(BaseProgress, {
  componentName: "Progress",
  type: "molecule",
  animatable: true
}, undefined, {
  partForOverridenAnimationProps: "container",
  partForOverridenNativeProps: "container",
  partForOverridenStyleProps: "container"
});
Progress.displayName = "Progress";
var _default = exports.default = Progress;
//# sourceMappingURL=progress.js.map