"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.extendTheme = exports.baseTheme = void 0;
var _breakpoints = require("./breakpoints");
var _borderRadii = require("./border-radii");
var _elevation = require("./elevation");
var _palette = require("./palette");
var _spacing = require("./spacing");
var _zIndices = require("./zIndices");
var _typography = require("./typography");
var _lodash = require("lodash");
var _components = _interopRequireDefault(require("./components"));
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }
const baseTheme = exports.baseTheme = {
  palette: _palette.palette,
  spacing: _spacing.spacing,
  borderRadii: _borderRadii.borderRadii,
  breakpoints: _breakpoints.breakpoints,
  elevation: _elevation.elevation,
  zIndices: _zIndices.zIndices,
  fonts: _typography.fonts,
  fontConfig: _typography.fontConfig,
  fontSizes: _typography.fontSizes,
  fontWeights: _typography.fontWeights,
  letterSpacings: _typography.letterSpacings,
  lineHeights: _typography.lineHeights,
  components: _components.default
};

/**
 * Override particular parts of the default theme to create a custom theme as per you app's needs
 * @param overrideConfig Configuration overrides to be combined with the default theme
 * @returns
 */
const extendTheme = overrideConfig => {
  const finalTheme = (0, _lodash.merge)(baseTheme, overrideConfig);
  return finalTheme;
};
exports.extendTheme = extendTheme;
//# sourceMappingURL=index.js.map