"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.lineHeights = exports.letterSpacings = exports.fonts = exports.fontWeights = exports.fontSizes = exports.fontConfig = void 0;
const fonts = exports.fonts = {
  body: "Poppins",
  heading: "Poppins",
  mono: "Poppins"
};
const fontConfig = exports.fontConfig = {
  Poppins: {
    "100": {
      normal: "Poppins-Hairline",
      italic: "Poppins-HairlineItalic"
    },
    "200": {
      normal: "Poppins-Thin",
      italic: "Poppins-ThinItalic"
    },
    "300": {
      normal: "Poppins-Light",
      italic: "Poppins-LightItalic"
    },
    "400": {
      normal: "Poppins-Regular",
      italic: "Poppins-RegularItalic"
    },
    "500": {
      normal: "Poppins-Medium",
      italic: "Poppins-MediumItalic"
    },
    "600": {
      normal: "Poppins-SemiBold",
      italic: "Poppins-SemiBoldItalic"
    },
    "700": {
      normal: "Poppins-Bold",
      italic: "Poppins-BoldItalic"
    },
    "800": {
      normal: "Poppins-ExtraBold",
      italic: "Poppins-ExtraBoldItalic"
    },
    "900": {
      normal: "Poppins-Black",
      italic: "Poppins-BlackItalic"
    }
  }
};
const fontSizes = exports.fontSizes = {
  "2xs": 10,
  xs: 12,
  s: 14,
  m: 16,
  l: 18,
  xl: 20,
  "2xl": 22,
  "3xl": 24,
  "4xl": 26,
  "5xl": 28,
  "6xl": 30,
  "7xl": 32,
  "8xl": 34,
  "9xl": 36,
  "10xl": 38,
  "11xl": 40,
  "12xl": 42
};
const lineHeights = exports.lineHeights = {
  "2xs": 14,
  xs: 16,
  s: 18,
  m: 20,
  l: 22,
  xl: 24,
  "2xl": 26,
  "3xl": 28,
  "4xl": 30,
  "5xl": 32,
  "6xl": 34,
  "7xl": 36,
  "8xl": 38,
  "9xl": 40,
  "10xl": 42,
  "11xl": 44,
  "12xl": 46
};
const letterSpacings = exports.letterSpacings = {
  xs: -2,
  s: -1,
  m: 0,
  l: 2,
  xl: 4,
  "2xl": 6,
  "3xl": 8
};
const fontWeights = exports.fontWeights = {
  hairline: "100",
  thin: "200",
  light: "300",
  normal: "400",
  medium: "500",
  semibold: "600",
  bold: "700",
  extrabold: "800",
  black: "900"
};
//# sourceMappingURL=typography.js.map