"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.typographyProperties = exports.transformProperties = exports.textShadowProperties = exports.spacingPropertiesShorthand = exports.spacingProperties = exports.shadowProperties = exports.positionProperties = exports.layoutPropertiesShorthand = exports.layoutProperties = exports.borderRadiusProperties = exports.borderProperties = exports.borderColorProperties = void 0;
const spacingProperties = exports.spacingProperties = {
  margin: true,
  marginTop: true,
  marginRight: true,
  marginBottom: true,
  marginLeft: true,
  marginHorizontal: true,
  marginVertical: true,
  marginStart: true,
  marginEnd: true,
  padding: true,
  paddingTop: true,
  paddingRight: true,
  paddingBottom: true,
  paddingLeft: true,
  paddingHorizontal: true,
  paddingVertical: true,
  paddingStart: true,
  paddingEnd: true
};
const spacingPropertiesShorthand = exports.spacingPropertiesShorthand = {
  m: "margin",
  mt: "marginTop",
  mr: "marginRight",
  mb: "marginBottom",
  ml: "marginLeft",
  mx: "marginHorizontal",
  my: "marginVertical",
  ms: "marginStart",
  me: "marginEnd",
  p: "padding",
  pt: "paddingTop",
  pr: "paddingRight",
  pb: "paddingBottom",
  pl: "paddingLeft",
  px: "paddingHorizontal",
  py: "paddingVertical",
  ps: "paddingStart",
  pe: "paddingEnd"
};
const typographyProperties = exports.typographyProperties = {
  fontFamily: true,
  fontStyle: true,
  fontWeight: true,
  textAlign: true,
  textDecorationLine: true,
  textDecorationStyle: true,
  textTransform: true
};
const layoutProperties = exports.layoutProperties = {
  width: true,
  height: true,
  minWidth: true,
  maxWidth: true,
  minHeight: true,
  maxHeight: true,
  overflow: true,
  aspectRatio: true,
  alignContent: true,
  alignItems: true,
  alignSelf: true,
  justifyContent: true,
  flex: true,
  flexBasis: true,
  flexDirection: true,
  flexGrow: true,
  flexShrink: true,
  flexWrap: true
};
const transformProperties = exports.transformProperties = {
  transform: true,
  transformMatrix: true,
  rotation: true,
  scaleX: true,
  scaleY: true,
  translateX: true,
  translateY: true
};
const layoutPropertiesShorthand = exports.layoutPropertiesShorthand = {
  w: "width",
  h: "height",
  minW: "minWidth",
  maxW: "maxWidth",
  minH: "minHeight",
  maxH: "maxHeight"
};
const positionProperties = exports.positionProperties = {
  position: true,
  top: true,
  right: true,
  bottom: true,
  left: true,
  start: true,
  end: true
};
const borderProperties = exports.borderProperties = {
  borderBottomWidth: true,
  borderLeftWidth: true,
  borderRightWidth: true,
  borderStyle: true,
  borderTopWidth: true,
  borderStartWidth: true,
  borderEndWidth: true,
  borderWidth: true
};
const borderRadiusProperties = exports.borderRadiusProperties = {
  borderRadius: true,
  borderBottomLeftRadius: true,
  borderBottomRightRadius: true,
  borderTopLeftRadius: true,
  borderTopRightRadius: true,
  borderBottomStartRadius: true,
  borderBottomEndRadius: true,
  borderTopStartRadius: true,
  borderTopEndRadius: true
};
const borderColorProperties = exports.borderColorProperties = {
  borderColor: true,
  borderTopColor: true,
  borderRightColor: true,
  borderLeftColor: true,
  borderBottomColor: true,
  borderStartColor: true,
  borderEndColor: true
};
const shadowProperties = exports.shadowProperties = {
  shadowOpacity: true,
  shadowOffset: true,
  shadowRadius: true,
  elevation: true
};
const textShadowProperties = exports.textShadowProperties = {
  textShadowOffset: true,
  textShadowRadius: true
};
//# sourceMappingURL=style-properties.js.map