"use strict";

var _styleFunctions = require("./../src/style-functions");
var _utils = require("../../hooks/utils/utils");
jest.useFakeTimers();
describe("composeStyleProps", () => {
  it("composes properties from style functions correctly", () => {
    const props = {
      bgColor: "red",
      p: "1.5",
      zIndex: "base",
      position: "absolute"
    };
    const styleFunctions = [..._styleFunctions.backgroundColorStyleFunction, _styleFunctions.layoutStyleFunction, _styleFunctions.positionStyleFunction];
    const composed = (0, _utils.composeStyleProps)(styleFunctions);
    const expectedProperties = ["backgroundColor", "bgColor", "width", "height", "minWidth", "maxWidth", "minHeight", "maxHeight", "overflow", "aspectRatio", "alignContent", "alignItems", "alignSelf", "justifyContent", "flex", "flexBasis", "flexDirection", "flexGrow", "flexShrink", "flexWrap", "w", "h", "minW", "maxW", "minH", "maxH", "position", "top", "right", "bottom", "left", "start", "end", "zIndex"];
    expect(composed.properties).toMatchObject(expectedProperties);
    expect(typeof composed.buildStyle).toBe("function");
  });
});
//# sourceMappingURL=compose-style-props.spec.js.map