"use strict";

var _responsiveSize = _interopRequireDefault(require("../../responsive-size"));
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }
jest.useFakeTimers();
jest.mock("react-native", () => ({
  PixelRatio: {
    get: jest.fn(() => 4)
  },
  Dimensions: {
    get: jest.fn(() => ({
      width: 400,
      height: 600,
      scale: 1,
      fontScale: 1
    }))
  }
}));
describe("responsiveSize", () => {
  beforeAll(() => {
    jest.resetModules();
  });
  it("resizes size correctly for high-res android machines with less height", () => {
    const initialSize = 10;
    const scaledSize = (0, _responsiveSize.default)(initialSize);
    expect(scaledSize).toEqual(12);
  });
});
//# sourceMappingURL=high-res android machines with less height.spec.js.map