"use strict";

var _responsiveSize = _interopRequireDefault(require("../../responsive-size"));
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }
jest.useFakeTimers();
jest.mock("react-native", () => ({
  PixelRatio: {
    get: jest.fn(() => 2)
  },
  Dimensions: {
    get: jest.fn(() => ({
      width: 320,
      height: 568,
      scale: 2,
      fontScale: 1
    }))
  }
}));
describe("responsiveSize", () => {
  beforeAll(() => {
    jest.resetModules();
  });
  it("resizes size correctly for iphone 5", () => {
    const initialSize = 10;
    const scaledSize = (0, _responsiveSize.default)(initialSize);
    expect(scaledSize).toEqual(9.5);
  });
});
//# sourceMappingURL=iphone-5.spec.js.map