"use strict";

var _responsiveSize = _interopRequireDefault(require("../../responsive-size"));
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }
jest.useFakeTimers();
jest.mock("react-native", () => ({
  PixelRatio: {
    get: jest.fn(() => 2)
  },
  Dimensions: {
    get: jest.fn(() => ({
      width: 375,
      height: 667,
      scale: 2,
      fontScale: 1
    }))
  }
}));
describe("responsiveSize", () => {
  beforeAll(() => {
    jest.resetModules();
  });
  it("resizes size correctly for iphone 6s", () => {
    const initialSize = 10;
    const scaledSize = (0, _responsiveSize.default)(initialSize);
    expect(scaledSize).toEqual(11.5);
  });
});
//# sourceMappingURL=iphone-6s.spec.js.map