import React from "react";
import { render } from "@testing-library/react-native";
import Divider from "./divider";
import { ThemeProvider } from "../../../theme/src/theme-context";
jest.useFakeTimers();
describe("Atoms/Divider", () => {
  it("passes the snapshot test in light mode", () => {
    const tree = render( /*#__PURE__*/React.createElement(ThemeProvider, null, /*#__PURE__*/React.createElement(Divider, {
      orientation: "horizontal"
    }), /*#__PURE__*/React.createElement(Divider, {
      orientation: "vertical"
    }))).toJSON();
    expect(tree).toMatchSnapshot();
  });
  it("passes the snapshot test in dark mode", () => {
    const tree = render( /*#__PURE__*/React.createElement(ThemeProvider, {
      initialColorMode: "dark"
    }, /*#__PURE__*/React.createElement(Divider, {
      orientation: "horizontal"
    }), /*#__PURE__*/React.createElement(Divider, {
      orientation: "vertical"
    }))).toJSON();
    expect(tree).toMatchSnapshot();
  });
  it("passes the snapshot test for different length modes", () => {
    const tree = render( /*#__PURE__*/React.createElement(ThemeProvider, {
      initialColorMode: "dark"
    }, /*#__PURE__*/React.createElement(Divider, {
      length: "50%"
    }), /*#__PURE__*/React.createElement(Divider, {
      orientation: "vertical",
      length: 20,
      bgColor: "violet"
    }))).toJSON();
    expect(tree).toMatchSnapshot();
  });
});
//# sourceMappingURL=divider.spec.js.map