function _extends() { _extends = Object.assign ? Object.assign.bind() : function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }
import React from "react";
import { Animated, StyleSheet, View } from "react-native";
import Indicator from "./indicator";
const ActivityIndicator = /*#__PURE__*/React.memo( /*#__PURE__*/React.forwardRef(({
  size = 30,
  count = 12,
  color = "rgb(0, 0, 0)",
  ...rest
}, ref) => {
  const _renderComponent = React.useCallback(({
    index,
    count,
    progress
  }) => {
    let angle = index * 360 / count;
    let layerStyle = {
      transform: [{
        rotate: angle + "deg"
      }]
    };
    let inputRange = Array.from(new Array(count + 1), (item, index) => index / count);
    let outputRange = Array.from(new Array(count), (item, index) => Math.max(1.0 - index * (1 / (count - 1)), 0));
    for (let j = 0; j < index; j++) {
      outputRange.unshift(outputRange.pop());
    }
    outputRange.unshift(...outputRange.slice(-1));
    let barStyle = {
      width: size / 10,
      height: size / 4,
      borderRadius: size / 20,
      backgroundColor: color,
      opacity: progress.interpolate({
        inputRange,
        outputRange
      })
    };
    return /*#__PURE__*/React.createElement(Animated.View, {
      style: [{
        ...StyleSheet.absoluteFillObject,
        justifyContent: "flex-start",
        alignItems: "center"
      }, layerStyle],
      key: index
    }, /*#__PURE__*/React.createElement(Animated.View, {
      style: barStyle
    }));
  }, [size, color]);
  const {
    style,
    ...props
  } = rest;
  return /*#__PURE__*/React.createElement(View, {
    style: [{
      flex: 1,
      justifyContent: "center",
      alignItems: "center"
    }, style]
  }, /*#__PURE__*/React.createElement(Indicator, _extends({}, props, {
    ref: ref,
    style: {
      width: size,
      height: size
    },
    renderComponent: _renderComponent,
    count: count
  })));
}));
export default ActivityIndicator;
//# sourceMappingURL=activity.js.map