function _extends() { _extends = Object.assign ? Object.assign.bind() : function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }
import React from "react";
import { Animated, Easing, StyleSheet, View } from "react-native";
import Indicator from "./indicator";
const SkypeIndicator = /*#__PURE__*/React.memo( /*#__PURE__*/React.forwardRef(({
  size = 30,
  count = 5,
  color = "rgb(0, 0, 0)",
  animationDuration = 1600,
  minScale = 0.2,
  maxScale = 1.0,
  ...rest
}, ref) => {
  const _renderComponent = React.useCallback(({
    index,
    count,
    progress
  }) => {
    let frames = 60 * animationDuration / 1000;
    let offset = index / (count - 1);
    let easing = Easing.bezier(0.5, offset, 0.5, 1.0);
    let inputRange = Array.from(new Array(frames), (item, index) => index / (frames - 1));
    let outputRange = Array.from(new Array(frames), (item, index) => easing(index / (frames - 1)) * 360 + "deg");
    let layerStyle = {
      transform: [{
        rotate: progress.interpolate({
          inputRange,
          outputRange
        })
      }]
    };
    let ballStyle = {
      width: size / 5,
      height: size / 5,
      borderRadius: size / 10,
      backgroundColor: color,
      transform: [{
        scale: progress.interpolate({
          inputRange: [0, 1],
          outputRange: [maxScale - (maxScale - minScale) * offset, minScale + (maxScale - minScale) * offset]
        })
      }]
    };
    return /*#__PURE__*/React.createElement(Animated.View, {
      style: [{
        ...StyleSheet.absoluteFillObject,
        justifyContent: "flex-start",
        alignItems: "center"
      }, layerStyle],
      key: index
    }, /*#__PURE__*/React.createElement(Animated.View, {
      style: ballStyle
    }));
  }, [animationDuration, color, maxScale, minScale, size]);
  const {
    style,
    ...props
  } = rest;
  return /*#__PURE__*/React.createElement(View, {
    style: [{
      flex: 1,
      justifyContent: "center",
      alignItems: "center"
    }, style]
  }, /*#__PURE__*/React.createElement(Indicator, _extends({}, props, {
    ref: ref,
    style: {
      width: size,
      height: size
    },
    renderComponent: _renderComponent,
    animationDuration: animationDuration,
    count: count
  })));
}));
export default SkypeIndicator;
//# sourceMappingURL=skype.js.map