import React from "react";
import Text from "../../components/atoms/text/text";
import { render } from "@testing-library/react-native";
import { ThemeProvider } from "../../theme/src/theme-context";
import { useColorModeValue } from "../useColorModeValue";
jest.useFakeTimers();
const TestComponent = () => {
  const bg = useColorModeValue("neutral.200", "pink");
  return /*#__PURE__*/React.createElement(Text, null, bg.toString());
};
describe("useColorModeValue", () => {
  it("shows the correct color in light mode", () => {
    const {
      getByText
    } = render( /*#__PURE__*/React.createElement(ThemeProvider, {
      initialColorMode: "light"
    }, /*#__PURE__*/React.createElement(TestComponent, null)));
    expect(getByText("neutral.200")).toBeTruthy();
  });
  it("shows the correct color in dark mode", () => {
    const {
      getByText
    } = render( /*#__PURE__*/React.createElement(ThemeProvider, {
      initialColorMode: "dark"
    }, /*#__PURE__*/React.createElement(TestComponent, null)));
    expect(getByText("pink")).toBeTruthy();
  });
});
//# sourceMappingURL=useColorModeValue.spec.js.map