import responsiveSize from "../../responsive-size";
jest.useFakeTimers();
jest.mock("react-native", () => ({
  PixelRatio: {
    get: jest.fn(() => 2.5)
  },
  Dimensions: {
    get: jest.fn(() => ({
      width: 330,
      height: 600,
      scale: 1,
      fontScale: 1
    }))
  }
}));
describe("responsiveSize", () => {
  beforeAll(() => {
    jest.resetModules();
  });
  it("resizes size correctly for iphone 5s and older androids", () => {
    const initialSize = 10;
    const scaledSize = responsiveSize(initialSize);
    expect(scaledSize).toEqual(9.5);
  });
});
//# sourceMappingURL=iphone-5s-and-older-androids.spec.js.map