import React from "react";
import { BoxProps } from "../box/box";
export type CollapseProps = BoxProps & {
    /** Whether to show the component */
    show: boolean;
    /**
     * If `true`, the opacity of the content will be animated
     * @default true
     */
    animateOpacity?: boolean;
    /**
     * The height you want the content in its collapsed state.
     * @default 0
     */
    startingHeight?: number | string;
    /**
     * The height you want the content in its expanded state.
     * @default "auto"
     */
    endingHeight?: number | string;
};
/**
 * Collapse is a component that provides an expandable view.
 */
declare const Collapse: React.MemoExoticComponent<React.ForwardRefExoticComponent<Omit<CollapseProps, "ref"> & React.RefAttributes<unknown>>>;
export default Collapse;
//# sourceMappingURL=collapse.d.ts.map