import React from "react";
import { BoxProps } from "../box/box";
import { FinalPearlTheme, ResponsiveValue } from "../../../theme";
export type GridProps = BoxProps & {
    /**
     * Number of columns in the grid.
     *
     * @default 1
     */
    numCols?: number;
    /**
     * The spacing between the grid elements.
     *
     * @default 3
     */
    spacing?: ResponsiveValue<keyof FinalPearlTheme["spacing"]>;
    /** The column spacing between the grid elements. */
    spacingX?: ResponsiveValue<keyof FinalPearlTheme["spacing"]>;
    /** The row spacing between the grid elements. */
    spacingY?: ResponsiveValue<keyof FinalPearlTheme["spacing"]>;
};
/**
 * Grid is a layout component that arranges its children into rows and columns.
 * Each child is given an equal amount of space.
 */
declare const Grid: React.MemoExoticComponent<React.ForwardRefExoticComponent<Omit<GridProps, "ref"> & React.RefAttributes<unknown>>>;
export default Grid;
//# sourceMappingURL=grid.d.ts.map