import React from "react";
import { BoxProps } from "../box/box";
import { BasicComponentProps, StateProps } from "../../../theme/src/types";
import { MotiPressableProps } from "moti/interactions";
import { PressableProps as RNPressableProps } from "react-native";
export type PressableProps = Omit<BoxProps, keyof MotiPressableProps> & Omit<MotiPressableProps, "unstable_pressDelay" | "disabled" | "animate" | "from" | "transition" | "delay" | "state" | "stylePriority" | "onDidAnimate" | "exit" | "exitTransition" | "animateInitialState"> & Pick<BoxProps, "animate" | "from" | "transition" | "delay" | "state" | "stylePriority" | "onDidAnimate" | "exit" | "exitTransition" | "animateInitialState"> & {
    testID?: RNPressableProps["testID"];
} & StateProps<"_pressed" | "_disabled"> & {
    /**
     * Duration (in milliseconds) to wait after press down before calling onPressIn.
     *
     * @default 100
     */
    onPressInDelay?: number;
    /**
     * Whether the press behavior is disabled.
     *
     * @default false
     */
    isDisabled?: boolean;
};
/**
 * Pressable is a functional component use to make interactive elements such as buttons, links, and more.
 * @returns A MotiPressable component with updated props and styles.
 */
declare const Pressable: React.MemoExoticComponent<React.ForwardRefExoticComponent<Omit<BasicComponentProps<PressableProps>, "ref"> & React.RefAttributes<unknown>>>;
export default Pressable;
//# sourceMappingURL=pressable.d.ts.map