import React from "react";
import { FinalPearlTheme, ResponsiveValue } from "../../../theme/src/types";
import { SkeletonProps } from "./skeleton";
export type SkeletonTextProps = SkeletonProps & {
    /**
     * The spacing between the individual skeletons
     *
     * @default 3
     */
    spacing?: ResponsiveValue<keyof FinalPearlTheme["spacing"]>;
    /**
     * The height of each individual skeleton
     *
     * @default 15
     */
    skeletonHeight?: number;
    /**
     * The number of lines in the skeleton
     *
     * @default 3
     */
    noOfLines?: number;
};
/**
 * `SkeletonText` is used to display the loading state in the form of text.
 */
declare const SkeletonText: React.MemoExoticComponent<React.ForwardRefExoticComponent<Omit<SkeletonTextProps, "ref"> & React.RefAttributes<unknown>>>;
export default SkeletonText;
//# sourceMappingURL=skeleton-text.d.ts.map