import React from "react";
import { BoxProps } from "../box/box";
export type SlideFadeProps = BoxProps & {
    /** Whether to show the component */
    show: boolean;
    /**
     * The offset on the horizontal or x axis.
     *
     * @default 0
     */
    offsetX?: number;
    /**
     * The offset on the vertical or y axis.
     *
     * @default 10
     */
    offsetY?: number;
};
/**
 * SlideFade is a component that provides an view with a sliding fade transition.
 */
declare const SlideFade: React.MemoExoticComponent<React.ForwardRefExoticComponent<Omit<SlideFadeProps, "ref"> & React.RefAttributes<unknown>>>;
export default SlideFade;
//# sourceMappingURL=slide-fade.d.ts.map