import React from "react";
import { BoxProps } from "../box/box";
export type SlideProps = BoxProps & {
    /** Whether to show the component */
    show: boolean;
    /**
     * The direction of the slide transition
     *
     * @default "right"
     */
    direction?: "top" | "bottom" | "left" | "right";
};
/**
 * Slide is a component that provides an view with a sliding transition.
 */
declare const Slide: React.MemoExoticComponent<React.ForwardRefExoticComponent<Omit<SlideProps, "ref"> & React.RefAttributes<unknown>>>;
export default Slide;
//# sourceMappingURL=slide.d.ts.map