/// <reference types="react" />
import { ComponentSizes, ComponentVariants, ResponsiveValue } from "../../../theme/src/types";
/**
 * Interface for Avatar Group Context
 * This interface is used to define the context for the Avatar Group
 */
interface IAvatarGroupContext {
    /** Size of all the children avatars in the group. */
    size?: ResponsiveValue<ComponentSizes<"Avatar">>;
    /** Variant of all the children avatars in the group. */
    variant?: ResponsiveValue<ComponentVariants<"Avatar">>;
}
export declare const avatarGroupContext: import("react").Context<IAvatarGroupContext>;
/**
 * Hook to get access to the state of an Avatar group
 */
export declare const useAvatarGroup: () => IAvatarGroupContext;
export {};
//# sourceMappingURL=useAvatarGroup.d.ts.map