import React from "react";
import { PressableProps } from "../../atoms/pressable/pressable";
import { MoleculeComponentProps } from "../../../theme/src/types";
import { IconButtonAtoms } from "./icon-button.config";
export type IconButtonProps = PressableProps & {
    /**
     * Whether the button is in a loading state.
     *
     * @default false
     */
    isLoading?: boolean;
    /**
     * Whether the button should span the entire width of the parent container.
     *
     * @default false
     */
    isFullWidth?: boolean;
    /** Icon to display within the button. */
    icon: React.ReactElement;
};
/** IconButton is a specialized Button which renders an icon within. It can be used to trigger an action or event, such as submitting a form, opening a dialog, canceling an action, or performing a delete operation */
declare const IconButton: React.MemoExoticComponent<React.ForwardRefExoticComponent<Omit<Omit<MoleculeComponentProps<"IconButton", IconButtonProps, IconButtonAtoms>, "atoms"> & {
    atoms?: IconButtonAtoms | undefined;
}, "ref"> & React.RefAttributes<unknown>>>;
export default IconButton;
//# sourceMappingURL=icon-button.d.ts.map