import { ComponentTypes, StyleFunctionContainer } from "../../theme/src/types";
/**
 * Hook to manage a pressed state and compose extra styling while a component is pressed
 *
 * @param props - The props of the component
 * @param stateKey - The key of the state to manage
 * @param currentState - The current state of the component
 * @param styleFunctions - The style functions to use
 * @param activeComponentType - The active component type
 * @param animateable - Whether the component is animateable
 * @returns The final props of the component
 */
export declare const useDynamicStateStyle: (props: Record<string, any>, stateKey: string, currentState: boolean, styleFunctions?: StyleFunctionContainer[], activeComponentType?: ComponentTypes, animateable?: boolean) => Record<string, any>;
//# sourceMappingURL=useDynamicStateStyle.d.ts.map