import { ExpandedColors, PaletteColors } from "./../theme/src/types";
/**
 * Hook to get the most accessible foreground color value based on a provided background color
 * @param backgroundColor The color value of the background color
 * @param foregroundChoices The foreground color values to choose from. It expects an object which a 'light' key (for the lighter color) and a 'dark' key (for the darker color)
 * @returns The most accessible foreground color value
 */
export declare const useAccessibleColor: (backgroundColor: PaletteColors | string, foregroundChoices?: {
    light: ExpandedColors;
    dark: ExpandedColors;
}) => string | number;
//# sourceMappingURL=useAccessibleColor.d.ts.map