import { StyleFunctionContainer } from "../theme";
import { MotiWithPearlStyleProps } from "../theme/src/types";
import { ViewStyle } from "react-native";
import { BoxStyleProps } from "../theme/src/style-functions";
/**
 * This function is a custom hook that creates an animation state using the provided props and style functions.
 *
 * @param props - The animation state props. These are the properties that define the animation state.
 * @param styleFunctions - The style functions to use. These functions are used to convert the provided props into a format that can be used to create an animation state. If no style functions are provided, all style functions are used by default.
 *
 * @returns An animation state created using the provided props and style functions.
 */
export declare const useAnimationState: (props: MotiWithPearlStyleProps<ViewStyle, BoxStyleProps> & {
    to?: MotiWithPearlStyleProps<ViewStyle, BoxStyleProps>["from"];
}, styleFunctions?: StyleFunctionContainer[]) => import("moti").UseAnimationState<Record<string, any>>;
//# sourceMappingURL=useAnimationState.d.ts.map