import { ColorScheme, FinalPearlTheme, ResponsiveValue, StyleFunctionContainer } from "../theme/src/types";
/**
 * Hook to convert an atomic component style config to the appropriate React Native styles
 * @param themeComponentKey Name of the component in theme.components who's config needs to be used
 * @param receivedProps Raw props passed to the component where the hook is being used
 * @param sizeAndVariantProps Custom size and variant configuration to use
 * @param colorScheme Active color scheme of the component
 * @param styleFunctions List of style functions to use for computing the received style props
 * @returns
 */
export declare const useAtomicComponentConfig: (themeComponentKey: keyof FinalPearlTheme["components"], receivedProps: Record<string, any>, sizeAndVariantProps?: {
    size?: ResponsiveValue<string | undefined>;
    variant?: ResponsiveValue<string | undefined>;
}, colorScheme?: ColorScheme, styleFunctions?: StyleFunctionContainer[]) => any;
//# sourceMappingURL=useAtomicComponentConfig.d.ts.map